var index = 0;
var features = new Array;
var numShown = 4;
var fading = 1;
var opacity = 100;

function init () {
	var lis = document.getElementsByTagName('li');
	for (var i=0; i<lis.length; i++)
		if (lis[i].parentNode.id == "feature_list")
			features[features.length] = lis[i];
	setTimeout("rotateFeatures();",8000);
}

function rotateFeatures(){
	var obj = document.getElementById("feature_list");
	if (fading==0){			// FADE IN
		if(opacity<100) {	// If image is not opaque yet
	    	opacity+=2;		// increase opacity
	    	setOpacity(obj, opacity);
	    	setTimeout("rotateFeatures()",15);
		}
		else{				// once image is opaque
			opacity=100;	// reset the opacity to 100%
			fading=1;		// fading out next
			setTimeout("rotateFeatures()",8000);  // otherwise hold the image onscreen for a bit, then rotate
		}
	}
	else if (fading==1){	// FADE OUT
		if(opacity>0) {		// If image is not invisible yet
	    	opacity-=2;		// decrease opacity
	    	setOpacity(obj, opacity);
	    	setTimeout("rotateFeatures()",15);
		}
		else{				// once image is invisible
			opacity=0;		// reset the opacity to 0%
			fading=0;		// fading in next
			
			// increment the index
			index += numShown;
			if (index >= features.length) index = 0;
			
			// swap the features
			for (var i=0; i<features.length; i++) {
				if ((i>=index) && (i<=index+(numShown-1))) features[i].style.display = "block";
				else features[i].style.display = "none";
			}
			
			// call the rotate function again
			rotateFeatures();
		}
	}
	else fading=0; // reset to "fading in" in case of an invalid value
}

function setOpacity(obj, opacity) {
  opacity = (opacity == 100)?99.999:opacity;
  obj.style.opacity = opacity/100;
}